Bug 1121084 - Review Request: rubygem-cocoon - Gem that enables easier nested forms with standard forms, formtastic and simple-form
Summary: Review Request: rubygem-cocoon - Gem that enables easier nested forms with st...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:32 UTC by Josef Stribny
Modified: 2018-03-21 01:26 UTC (History)
5 users (show)

Fixed In Version: rubygem-cocoon-1.2.6-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 15:38:04 UTC
valtri: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Certification Workflow Engine(Live) 1121084 None None None 2018-03-21 01:26:07 UTC

Description Josef Stribny 2014-07-18 10:32:36 UTC
Spec URL: http://data-strzibny.rhcloud.com/obs/rubygem-cocoon.spec
SRPM URL: http://data-strzibny.rhcloud.com/obs/rubygem-cocoon-1.2.6-1.fc22.src.rpm
Description: Unobtrusive nested forms handling, using jQuery. Use this and discover
cocoon-heaven.
Fedora Account System Username: jstribny

Comment 1 František Dvořák 2014-07-31 21:32:25 UTC
The build fails due to not listed files:
   /usr/share/gems/gems/cocoon-1.2.6/History.md
   /usr/share/gems/gems/cocoon-1.2.6/VERSION


And there are issues, where I'm not sure if they can (or need?) to be fixed:

1) BuildRequires

They are probably not needed:
  BuildRequires: ruby(release)
  BuildRequires: ruby

But there is no problem with them and I guess there can be some advantages to be closer to the gem2rpm template?


2) E: non-executable-script /usr/share/gems/gems/cocoon-1.2.6/spec/dummy/script/rails 0644L /usr/bin/env

But it's not important file, and in -doc subpackage.


3) E: summary-too-long

The initial "Gem that enables " could be easily cut off. But fixing that would mean summary different from the original gem...


4) E: zero-length ...

Probably no way to solve the favicon.ico file. The .gitkeep could be removed?

Comment 2 Josef Stribny 2014-08-04 06:38:31 UTC
Oh, seems like this wasn't a ready package (I always do builds). Either way, you are right in all your points and I fixed them:


Spec URL: http://data-strzibny.rhcloud.com/obs/rubygem-cocoon.spec
SRPM URL: http://data-strzibny.rhcloud.com/obs/rubygem-cocoon-1.2.6-2.fc22.src.rpm

Comment 3 František Dvořák 2014-08-04 11:16:07 UTC
1) The new 'rm' and 'sed' commands currently have no effect - they need to be placed in %build section, or they should work with %{buildroot}.

Btw. the .gitkeep could be excluded the same way as the .travis.yml file? (unless it would affect testing, then it should be removed this way of course).


2) Requires (probably nothing to fix, but it would be worth to check it)

There is some strange problem with Requires, they are not generated automagically (ony rubygems is there). For example rubygem(rails) could be needed too.

But there are no runtime dependencies even on rubygems.org, so maybe it is expected and developers using cocoon are used to handle that? (also the code itself doesn't have any 'require')

Comment 4 Josef Stribny 2014-08-04 13:00:57 UTC
> or they should work with %{buildroot}

Yes, that was my intention, good catch, fixed.

> For example rubygem(rails) could be needed too

Looking at the code, railties should be sufficient. Upstream don't require it since cocoon is used alongside Rails in Rails applications. Nevertheless it could be added for some sanity so I opened the upstream issue[0] and let's see what happens. If the upstream acknowledge it, I will add it to spec.

Spec URL: http://data-strzibny.rhcloud.com/obs/rubygem-cocoon.spec
SRPM URL: http://data-strzibny.rhcloud.com/obs/rubygem-cocoon-1.2.6-3.fc22.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7238811

[0] https://github.com/nathanvda/cocoon/issues/226

Comment 5 František Dvořák 2014-08-04 13:55:11 UTC
OK, I'm confident enough to finalize review also formally. :-)

Could you review swap with #1079640 (rubygem-json_rspec)?

Comment 6 František Dvořák 2014-08-04 14:04:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 32 files have unknown license. Detailed output of
     licensecheck in /home/valtri/fedora-scm/REVIEWS/rubygem-cocoon/1121084
     -rubygem-cocoon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
     OK. Part of generated documentation.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.

Launched: ruby -e "require 'rails'; require 'cocoon'"

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Test suite of the library should be run.

OK. Commented why and even how it could be launched.

[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-cocoon-1.2.6-3.fc22.noarch.rpm
          rubygem-cocoon-doc-1.2.6-3.fc22.noarch.rpm
          rubygem-cocoon-1.2.6-3.fc22.src.rpm
rubygem-cocoon.noarch: W: spelling-error Summary(en_US) formtastic -> fantastic
rubygem-cocoon.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
rubygem-cocoon-doc.noarch: E: zero-length /usr/share/gems/gems/cocoon-1.2.6/spec/dummy/public/favicon.ico
rubygem-cocoon.src: W: spelling-error Summary(en_US) formtastic -> fantastic
rubygem-cocoon.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
3 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-cocoon-doc rubygem-cocoon
rubygem-cocoon-doc.noarch: E: zero-length /usr/share/gems/gems/cocoon-1.2.6/spec/dummy/public/favicon.ico
rubygem-cocoon.noarch: W: spelling-error Summary(en_US) formtastic -> fantastic
rubygem-cocoon.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-cocoon-doc (rpmlib, GLIBC filtered):
    rubygem-cocoon

rubygem-cocoon (rpmlib, GLIBC filtered):
    ruby(rubygems)



Provides
--------
rubygem-cocoon-doc:
    rubygem-cocoon-doc

rubygem-cocoon:
    rubygem(cocoon)
    rubygem-cocoon



Source checksums
----------------
https://rubygems.org/gems/cocoon-1.2.6.gem :
  CHECKSUM(SHA256) this package     : b84aca6d65282cfab3cdc64b93d1ca6d3a03864f624a08224868b241de2f8de9
  CHECKSUM(SHA256) upstream package : b84aca6d65282cfab3cdc64b93d1ca6d3a03864f624a08224868b241de2f8de9


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1121084
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

====

Package approved!

Comment 7 Josef Stribny 2014-08-05 06:58:31 UTC
Thank you for the review, I will do the review for rubygem-json_spec, no problem. Please assign yourself to the review next time so it's clear that someone is working on this bug (assign to->take at the top).


New Package SCM Request
=======================
Package Name: rubygem-cocoon
Short Description: Easier nested forms with standard forms, formtastic and simple-form
Upstream URL: http://github.com/nathanvda/cocoon
Owners: jstribny
Branches: f21
InitialCC:

Comment 8 Gwyn Ciesla 2014-08-05 12:18:38 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.